@import 'fonts';
// CssRef: https://docs.oracle.com/javafx/2/api/javafx/scene/doc-files/cssref.html

$main-text-color: #2eb4de;
$time-color: #ffffff;
$bg-color: #212020;
$alerts-bg-color: #1B1A1A;

#stop-view {
    -fx-background-color: $bg-color;
}

.time-label, .alerts-label {
    -fx-font-family: Poppins;
    -fx-font-weight: 500;
}

.time-label {
    -fx-font-size: 4em;
    -fx-text-fill: $time-color;
    -fx-text-alignment: center;
    -fx-alignment: baseline-center;
}

.title-label, .value-label, .route-label {
    -fx-font-family: 'Saira Stencil One'; /* See #SimpleViewPerspective */
    -fx-text-fill: $main-text-color;
}

.route-label {
    -fx-font-size: 8em;
    -fx-alignment: baseline-center;
}

.title-label, .value-label {
    -fx-font-size: 5em;
}

.alerts-label-container {
    -fx-background-color: $alerts-bg-color;
    .alerts-label {
        -fx-font-size: 2em;
        -fx-text-fill: white;
        -fx-background-color: transparent;
        -fx-text-alignment: center;
        -fx-background-radius: .2em;
    }
}

